Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
files
/
reindex
Reindex Files within a FileSet
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/files/reindex \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '
{
  "fileIds": [
    "7150e608-c3a9-4b40-ac2d-eb182cc98c6f",
    "22e1514a-354b-470f-bc32-c354812738f2"
  ]
}
'
{
  "retriedFilesCount": 2
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet to reindex files within.

Body

application/json

The request object containing reindexing criteria.

Request object for another indexing attempt for specific files within a file set.

fileIds
string[]
required

The IDs of the files to be reindexed.

Response

Reindexing initiated successfully

Response returned after attempting to reindex files within a file set.

retriedFilesCount
integer<int32>

The number of files that were retried for reindexing.